﻿using Microsoft.AspNetCore.Components;
using Blazor.Models;
using Blazorise.DataGrid;
using Blazored.LocalStorage;
using Blazorise;
using Blazor.Services;

namespace Blazor.Pages
{
    public partial class Chapters
    {
        public List<Chapter> chapters;

        private int totalItem;

        [Inject]
        public IDataService DataService { get; set; }

        [Inject]
        public IWebHostEnvironment WebHostEnvironment { get; set; }

        private async Task OnReadData(DataGridReadDataEventArgs<Chapter> e)
        {
            if (e.CancellationToken.IsCancellationRequested)
            {
                return;
            }

            if (!e.CancellationToken.IsCancellationRequested)
            {
                chapters = await DataService.List(e.Page, e.PageSize);
                totalItem = await DataService.Count();
            }
        }
    }
}
